classification
Title: co_flags section of inspect module docs out of date
Type: Stage:
Components: Documentation Versions: Python 3.6, Python 3.5
process
Status: closed Resolution:
Dependencies: Superseder: document CO_* constants
View: 26010
Assigned To: Nosy List: BreamoreBoy, docs@python, georg.brandl, r.david.murray, yselivanov
Priority: normal Keywords:

Created on 2015-12-05 22:11 by BreamoreBoy, last changed 2016-01-04 22:26 by georg.brandl. This issue is now closed.

Messages (12)
msg255985 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2015-12-05 22:11
It states "bitmap: 1=optimized | 2=newlocals | 4=*arg | 8=**arg" which is identical to the 2.7 docs.  Hence it bears no resemblance to the latest code.h, which for example has #define CO_ITERABLE_COROUTINE   0x0100.
msg256007 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2015-12-06 08:57
None of these constants are documented either:-
inspect.CO_COROUTINE
inspect.CO_GENERATOR
inspect.CO_ITERABLE_COROUTINE
inspect.CO_NESTED
inspect.CO_NEWLOCALS
inspect.CO_NOFREE
inspect.CO_OPTIMIZED
inspect.CO_VARARGS
inspect.CO_VARKEYWORDS
msg257240 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2015-12-30 20:52
Anybody?
msg257365 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2016-01-02 21:27
Clearly nobody is interested so closing.
msg257366 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2016-01-02 21:34
I am the OP, this stays closed.  If you couldn't be bothered to reply before please raise a new issue.
msg257367 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2016-01-02 21:35
I think Yuri might be interested.
msg257368 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2016-01-02 21:38
Mark, please don't close the issue.  You raised a valid point, it got overlooked, but like I said I think Yuri will be interested in looking at it.  This is a volunteer operation.
msg257369 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2016-01-02 21:38
For the final time,  *I* am the OP and not one of you could be bothered before so this remains closed.
msg257370 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2016-01-02 21:44
I'll leave it closed, but I don't think that is best for the community.
msg257498 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2016-01-04 21:56
> For the final time,  *I* am the OP and not one of you could be bothered before so this remains closed.

Are you quite all right?  Continuing behavior of that sort will get your tracker account disabled.
msg257499 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2016-01-04 22:09
It's all ready been superceeded, or haven't you woken up to that fact either?
msg257501 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2016-01-04 22:26
> It's all ready been superceeded, or haven't you woken up to that fact either?

Excuse me for not having all issues in my head.  (And that #26010 states that it's a followup to #26010 doesn't help.)

In the future, please accept that the core developers are who decide about issues being closed or not.  Submitters are only given privilege to close their own issues because it lightens the load on coredevs if issues become obsolete (and no, no answer in less than 30 days does not mean obsolete).  As I already said, abusing that privilege will eventually get you banned - so much the sooner with your past history taken into account.
History
Date User Action Args
2016-01-04 22:26:45georg.brandlsetmessages: + msg257501
2016-01-04 22:09:32BreamoreBoysetstatus: open -> closed

messages: + msg257499
2016-01-04 21:56:24georg.brandlsetstatus: closed -> open
nosy: + georg.brandl
messages: + msg257498

2016-01-04 21:45:11yselivanovsetsuperseder: document CO_* constants
2016-01-02 21:44:10r.david.murraysetassignee: yselivanov ->
messages: + msg257370
2016-01-02 21:39:32BreamoreBoysetstatus: open -> closed
2016-01-02 21:38:39BreamoreBoysetmessages: + msg257369
2016-01-02 21:38:22r.david.murraysetmessages: + msg257368
2016-01-02 21:35:32r.david.murraysetstatus: closed -> open

type: enhancement ->
assignee: docs@python -> yselivanov

nosy: + r.david.murray, yselivanov
messages: + msg257367
stage: needs patch ->
2016-01-02 21:34:50BreamoreBoysetstatus: open -> closed

messages: + msg257366
2016-01-02 21:32:57berker.peksagsetstatus: closed -> open
stage: needs patch
type: enhancement
versions: + Python 3.5
2016-01-02 21:27:32BreamoreBoysetstatus: open -> closed

messages: + msg257365
versions: - Python 3.5
2015-12-30 20:52:18BreamoreBoysetmessages: + msg257240
2015-12-06 08:57:55BreamoreBoysetmessages: + msg256007
2015-12-05 22:11:14BreamoreBoycreate